# Uses of Interface
net.shibboleth.idp.attribute.filter.FilterScriptContextExtender

Packages that use FilterScriptContextExtender
Package
Description
net.shibboleth.idp.attribute.filter.matcher.impl
Implementation of the various policy matchers.
net.shibboleth.idp.attribute.filter.policyrule.impl
Classes which implement`PolicyRequirementRule`.

## Uses of FilterScriptContextExtender in net.shibboleth.idp.attribute.filter.matcher.impl

Fields in net.shibboleth.idp.attribute.filter.matcher.impl with type parameters of type FilterScriptContextExtender
Modifier and Type
Field
Description
`private Collection<FilterScriptContextExtender>`
ScriptedMatcher.`contextExtenders`
Extenders for script context.
Method parameters in net.shibboleth.idp.attribute.filter.matcher.impl with type arguments of type FilterScriptContextExtender
Modifier and Type
Method
Description
`void`
ScriptedMatcher.`setScriptContextExtenders(Collection<FilterScriptContextExtender> extenders)`
Set any script context extenders to apply.

## Uses of FilterScriptContextExtender in net.shibboleth.idp.attribute.filter.policyrule.impl

Fields in net.shibboleth.idp.attribute.filter.policyrule.impl with type parameters of type FilterScriptContextExtender
Modifier and Type
Field
Description
`private Collection<FilterScriptContextExtender>`
ScriptedPolicyRule.`contextExtenders`
Extenders for script context.
Method parameters in net.shibboleth.idp.attribute.filter.policyrule.impl with type arguments of type FilterScriptContextExtender
Modifier and Type
Method
Description
`void`
ScriptedPolicyRule.`setScriptContextExtenders(Collection<FilterScriptContextExtender> extenders)`
Set any script context extenders to apply.